package com.qmth.themis.admin.websocketTemplete;

import com.alibaba.fastjson.JSONObject;
import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.dto.WebsocketDto;
import com.qmth.themis.business.enums.WebsocketTypeEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Collections;

/**
 * @Description: 管理端websocket模版
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/24
 */
@Component
public class WebSocketAdminMessageTemplete {
    private final static Logger log = LoggerFactory.getLogger(WebSocketAdminMessageTemplete.class);

    /**
     * 状态同步
     *
     * @param body
     * @param time
     * @return
     */
    public WebsocketDto syncStatus(String body, Long time) {
        JSONObject jsonObject = JSONObject.parseObject(body);
        log.info("syncStatus jsonObject:{}", jsonObject.toJSONString());
        return this.syncAck(body, time);
    }

    /**
     * 同步确认
     *
     * @return
     */
    public WebsocketDto syncAck(String body, Long time) {
        return new WebsocketDto(WebsocketTypeEnum.convertToName(Thread.currentThread().getStackTrace()[1].getMethodName()), Collections.singletonMap(SystemConstant.ACK_MESSAGE, time));
    }
}
