package com.qmth.themis.business.cache;

import com.qmth.themis.business.constant.SpringContextHolder;
import com.qmth.themis.business.enums.ExamBreakHistoryFieldEnum;
import com.qmth.themis.business.enums.ExceptionEnum;
import com.qmth.themis.business.enums.VerifyExceptionEnum;
import com.qmth.themis.business.service.TOeExamBreakHistoryService;
import com.qmth.themis.business.util.RedisUtil;

import java.util.Objects;

/**
 * 断点缓存hash值操作
 *
 * @Description:
 * @Author: xiatian
 * @Long: 2020-07-29
 */
public class ExamBreakCacheUtil {
    private static TOeExamBreakHistoryService tOeExamBreakHistoryService = SpringContextHolder.getBean(TOeExamBreakHistoryService.class);
    private static RedisUtil redisUtil = SpringContextHolder.getBean(RedisUtil.class);

    public static void setExamRecordId(Long examBreakId, Long examRecordId, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.exam_record_id.getCode(), examRecordId);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.exam_record_id.name(), examRecordId);
        }
    }

    public static Long getExamRecordId(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.exam_record_id.getCode());
    }

    public static void setBreakTime(Long examBreakId, Long breakTime, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.break_time.getCode(), breakTime);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.break_time.name(), breakTime);
        }
    }

    public static Long getBreakTime(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.break_time.getCode());
    }

    public static void setBreakReason(Long examBreakId, ExceptionEnum breakReason, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.break_reason.getCode(), breakReason);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.break_reason.name(), breakReason.name());
        }
    }

    public static ExceptionEnum getBreakReason(Long examBreakId) {
        return Objects.nonNull(redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.break_reason.getCode())) ? ExceptionEnum.valueOf((String) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.break_reason.getCode())) : null;
    }

    public static void setResumeReason(Long examBreakId, String resumeReason, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.resume_reason.getCode(), resumeReason);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.resume_reason.name(), resumeReason);
        }
    }

    public static Long getResumeReason(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.resume_reason.getCode());
    }


    public static void setPrepareTime(Long examBreakId, Long prepareTime, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.prepare_time.getCode(), prepareTime);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.prepare_time.name(), prepareTime);
        }
    }

    public static Long getPrepareTime(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.prepare_time.getCode());
    }

    public static void setStartTime(Long examBreakId, Long startTime, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.start_time.getCode(), startTime);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.start_time.name(), startTime);
        }
    }

    public static Long getStartTime(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.start_time.getCode());
    }

    public static void setEntryAuthenticationResult(Long examBreakId, VerifyExceptionEnum entryAuthenticationResult, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.entry_authentication_result.getCode(), entryAuthenticationResult);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.entry_authentication_result.name(), entryAuthenticationResult.name());
        }
    }

    public static VerifyExceptionEnum getEntryAuthenticationResult(Long examBreakId) {
        return Objects.nonNull(redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.entry_authentication_result.getCode())) ? VerifyExceptionEnum.valueOf((String) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.entry_authentication_result.getCode())) : null;
    }

    public static void setEntryAuthenticationId(Long examBreakId, Long entryAuthenticationId, boolean update) {
        redisUtil.set(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.entry_authentication_id.getCode(), entryAuthenticationId);
        if (update) {
            tOeExamBreakHistoryService.dataUpdateMq(examBreakId, ExamBreakHistoryFieldEnum.entry_authentication_id.name(), entryAuthenticationId);
        }
    }

    public static Long getEntryAuthenticationId(Long examBreakId) {
        return (Long) redisUtil.get(RedisKeyHelper.examBreakCacheKey(examBreakId), ExamBreakHistoryFieldEnum.entry_authentication_id.getCode());
    }
}
