package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TOeFaceVerifyHistory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description: 人脸验证记录 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TOeFaceVerifyHistoryMapper extends BaseMapper<TOeFaceVerifyHistory> {

    /**
     * count人脸数量异常
     *
     * @param recordId
     * @param exception
     * @param faceCount
     * @param multipleFace
     * @param type
     * @param batchNo
     * @return
     */
    public Map<String, Object> faceCountError(@Param("recordId") Long recordId, @Param("exception") String exception, @Param("faceCount") Integer faceCount, @Param("multipleFace") Boolean multipleFace, @Param("type") String type, @Param("batchNo") String batchNo);

    /**
     * count人脸比对异常
     *
     * @param recordId
     * @param exception
     * @param type
     * @param batchNo
     * @return
     */
    public Map<String, Object> faceCompareError(@Param("recordId") Long recordId, @Param("exception") String exception, @Param("type") String type, @Param("batchNo") String batchNo);

    /**
     * 闭眼检测异常
     *
     * @param recordId
     * @param exception
     * @param type
     * @param batchNo
     * @return
     */
    public Map<String, Object> eyeCloseError(@Param("recordId") Long recordId, @Param("exception") String exception, @Param("type") String type, @Param("batchNo") String batchNo);

    /**
     * 真实性检测异常
     *
     * @param recordId
     * @param exception
     * @param type
     * @param batchNo
     * @return
     */
    public Map<String, Object> realnessError(@Param("recordId") Long recordId, @Param("exception") String exception, @Param("type") String type, @Param("batchNo") String batchNo);
}
