package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TOeExamBreakHistory;
import com.qmth.themis.business.enums.VerifyExceptionEnum;

/**
 * @Description: 考试断点记录 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TOeExamBreakHistoryService extends IService<TOeExamBreakHistory> {

    /**
     * 保存验证信息
     *
     * @param recordId
     * @param entryAuthenticationId
     * @param entryAuthenticationResult
     */
    void saveAuthenticationResult(Long recordId, Long entryAuthenticationId, VerifyExceptionEnum entryAuthenticationResult);


    /**
     * 断点记录字段同步消息发送
     *
     * @param breakId
     * @param colName
     * @param colValue
     */
    void dataUpdateMq(Long breakId, String colName, Object colValue);

    /**
     * 考试记录多字段更新
     *
     * @param breakId
     * @param colNames
     * @param colValues
     */
    void dataUpdatesMq(Long breakId, String[] colNames, Object[] colValues);
}
