package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TIeExamInvigilateCallMapper;
import com.qmth.themis.business.dto.response.TIeExamInvigilateCallDto;
import com.qmth.themis.business.entity.TIeExamInvigilateCall;
import com.qmth.themis.business.service.TIeExamInvigilateCallService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Description: 监考监控通话申请 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TIeExamInvigilateCallServiceImpl extends ServiceImpl<TIeExamInvigilateCallMapper, TIeExamInvigilateCall> implements TIeExamInvigilateCallService {

    @Resource
    TIeExamInvigilateCallMapper tIeExamInvigilateCallMapper;

    /**
     * 监考监控通话申请查询
     *
     * @param iPage
     * @param examId
     * @param userId
     * @param orgId
     * @param status
     * @param callStatus
     * @return
     */
    @Override
    public IPage<TIeExamInvigilateCallDto> examInvigilateCallQuery(IPage<Map> iPage, Long examId, Long userId, Long orgId, String status, String callStatus) {
        return tIeExamInvigilateCallMapper.examInvigilateCallQuery(iPage, examId, userId, orgId, status, callStatus);
    }

    /**
     * 监考监控通话count查询
     *
     * @param examId
     * @param userId
     * @param orgId
     * @param status
     * @param callStatus
     * @return
     */
    @Override
    public Integer examInvigilateCallQueryCount(Long examId, Long userId, Long orgId, String status, String callStatus) {
        return tIeExamInvigilateCallMapper.examInvigilateCallQueryCount(examId, userId, orgId, status, callStatus);
    }
}
