package com.qmth.themis.business.util;

import com.qmth.themis.business.domain.TencentYunDomain;
import com.tencentyun.TLSSigAPIv2;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @Description: 腾讯云util
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/21
 */
@Component
public class TencentYunUtil {

    private TencentYunDomain tencentYunDomain;

    @Bean
    public TencentYunDomain tencentYunEnv(TencentYunDomain tencentYunDomain) {
        this.tencentYunDomain = new TencentYunDomain(tencentYunDomain.getAppId(), tencentYunDomain.getKey(), tencentYunDomain.getUrls());
        return this.tencentYunDomain;
    }

    /**
     * 获取签名
     *
     * @param sessionId
     * @param expireTime
     * @return
     */
    public String getSign(String sessionId, Long expireTime) {
        TLSSigAPIv2 api = new TLSSigAPIv2(Long.parseLong(this.tencentYunDomain.getAppId()), this.tencentYunDomain.getKey());
        return api.genSig(sessionId, expireTime);
    }

    public TencentYunDomain getTencentYunDomain() {
        return tencentYunDomain;
    }
}
